%define name	dowser
%define version	0.26
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	Web research tool
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}-src.zip
URL:		http://dowser.sourceforge.net/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
Requires:	python-sqlite
BuildArch:	noarch

%description
Dowser is a research tool for the web. It clusters results from major search
engines, associates words that appear in previous searches, and keeps a local
cache of all the results you click on in a searchable database. It helps you
keep track of what you find on the web.

Future versions will have 'shallow' crawling of websites you click and a
peer-to-peer component.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
chmod 644 util.py
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp -fr * $RPM_BUILD_ROOT/%_datadir/%name
rm -f $RPM_BUILD_ROOT/%_datadir/%name/{*.sh,*.bat,setup*,CHANGELOG,COPYING,README,TODO}
mkdir -p $RPM_BUILD_ROOT/%_bindir
echo "#!/bin/bash" > $RPM_BUILD_ROOT/%_bindir/%name
echo "cd %_datadir/%name" >> $RPM_BUILD_ROOT/%_bindir/%name
echo "python startdowser.py $@" >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Dowser
Comment=Web Research Tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-Other;Network;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 media/dowser-moz.gif $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 media/dowser-moz.gif $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 media/dowser-moz.gif $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.26-4mdv2009.0
+ Revision: 244521
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.26-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import dowser


* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.26-2mdv2007.0
- Use Mkrel
- XDG

* Sun Oct 17 2004 Austin Acton <austin@mandrake.org> 0.26-1mdk
- initial package
